Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

Add gateway response status code

Prev Next

Available in Classic and VPC

Change a defined response status code for the gateway.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
POST /api/v1/products/{product-id}/apis/{api-id}/responses/{response-type}

Request headers

For information about the headers common to all API Gateway APIs, see API Gateway request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
product-id String Required Product ID that the API belongs to
api-id String Required ID of the API whose response status code you want to change
response-type String Required Gateway response type

Request syntax

The request syntax is as follows.

{
  "statusCode" : 0
}

Request body

The following describes the request body.

Field Type Required Description
statusCode Integer Required Response status code to change

Request example

The following is a sample request.

curl --location --request POST 'https://apigateway.apigw.ntruss.com/api/v1/products/********o9/apis/cvcohvd2xj/responses/AUTHENTICATION_FAILED' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--data '{
  "statusCode" : 401
}'

Response

The following describes the response format.

Response syntax

The response syntax is as follows.

{
    "apiId": "apiId",
    "responseType": "responseType",
    "responseName": "responseName",
    "statusCode": 000,
    "default": false
}

Response status codes

For information about the HTTP status codes common to all API Gateway APIs, see API Gateway response status codes.

Response example

The following is a sample response.

{
    "apiId": "cvcohvd2xj",
    "responseType": "AUTHENTICATION_FAILED",
    "responseName": "Authentication Failed",
    "statusCode": 401,
    "default": false
}